Subject: Re: [PATCH RFC net-next] virtio_net: Relax queue requirement for using XDP

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 27 Feb 2020 11:19:25 +0100

David Ahern <[email-masked]> writes:

> On 2/26/20 1:34 AM, Toke Høiland-Jørgensen wrote:
>>> OK so basically there would be commands to configure which TX queue is
>>> used by XDP. With enough resources default is to use dedicated queues.
>>> With not enough resources default is to fail binding xdp program
>>> unless queues are specified. Does this sound reasonable?
>> Yeah, that was the idea. See this talk from LPC last year for more
>> details: https://linuxplumbersconf.org/event/4/contributions/462/
>> 
>
> Can we use one of the breakout timeslots at netdevconf and discuss this
> proposal and status?

Adding in Magnus and Jesper; I won't be at netdevconf, sadly, but you
guys go ahead :)

Magnus indicated he may have some preliminary code to share soonish.
Maybe that means before netdevconf? ;)

-Toke